<template>
	<div>
		<v-btn icon class="px-4" @click="showConfirmationDialog = true">
			<v-icon>mdi-delete</v-icon>
		</v-btn>

		<confirm-dialog
			v-model="showConfirmationDialog"
			title="Delete Sampling Collection"
			message="Are you sure you want to delete this sampling collection?"
			button="Delete"
			button-color="error"
			persistent
			@confirm="handleConfirmDelete"
		/>
	</div>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api';
import ConfirmDialog from '@/components/dialog/ConfirmDialog.vue';

export default defineComponent({
	components: { ConfirmDialog },
	props: {
		id: {
			required: true,
			type: String,
		},
		redirect: {
			required: false,
			default: false,
			type: Boolean,
		},
	},
	setup(props, { root }) {
		return {
			handleConfirmDelete: () => {
				root.$store.dispatch('samplingCollections/deleteSamplingCollection', props.id);
				if (props.redirect) {
					root.$router.push({ name: 'Sampling Collection List' });
				}
			},
			showConfirmationDialog: ref(false),
		};
	},
});
</script>

<style></style>
